Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class ParagraphAndTherapyType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.BaseType
          be.fgov.ehealth.samcivics.type.v2.ParagraphType
              be.fgov.ehealth.samcivics.type.v2.ParagraphAndTherapyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:47:55+01:00",
               comments="JAXB RI v2.2.11")
    public class ParagraphAndTherapyType

extends ParagraphType
implements Serializable

Java class for ParagraphAndTherapyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParagraphAndTherapyType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}ParagraphType">
           <sequence>
             <element name="TherapyAndChildren" type="{urn:be:fgov:ehealth:samcivics:type:v2}TherapyAndChildrenType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ParagraphAndTherapyType()`

Method Summary
`List<TherapyAndChildrenType>` | `getTherapyAndChildrens()` Gets the value of the therapyAndChildrens property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.ParagraphType
`getAgreementType, getAgreementTypePro, getChapterName, getKeies, getLegalReference, getModificationDate, getParagraphName, getParagraphVersion, getProcessType, getProcessTypeOverrule, getPublicationDate, setAgreementType, setAgreementTypePro, setChapterName, setLegalReference, setModificationDate, setParagraphName, setParagraphVersion, setProcessType, setProcessTypeOverrule, setPublicationDate`

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParagraphAndTherapyType

    public ParagraphAndTherapyType()

Method Detail

### getTherapyAndChildrens

    public List<TherapyAndChildrenType> getTherapyAndChildrens()

  Gets the value of the therapyAndChildrens property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the therapyAndChildrens property.

  For example, to add a new item, do as follows:

          getTherapyAndChildrens().add(newItem);

  Objects of the following type(s) are allowed in the list `TherapyAndChildrenType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.